Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  class StdReplVals extends ReplVals
  Definition Classes
    interpreter
- ReplImplicits
- treedsl

c

scala.tools.nsc.interpreter.StdReplVals

# ReplImplicits 

###

#### class ReplImplicits extends Implicits2

Source
  ReplVals.scala

Linear Supertypes
Implicits2, Implicits1, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReplImplicits
2. Implicits2
3. Implicits1
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ReplImplicits()

### Type Members

1.  class RichSymbol extends AnyRef
   Definition Classes
     Implicits2

### Value Members

1.  object symbolSubtypeOrdering extends Ordering[Global.Symbol]
   Definition Classes
     Implicits2
2.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
3.  final def ##(): Int
   Definition Classes
     AnyRef → Any
4.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ReplImplicits to any2stringadd[ReplImplicits] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
5.  def ->[B](y: B): (ReplImplicits, B)
   Implicit
     This member is added by an implicit conversion from ReplImplicits to ArrowAssoc[ReplImplicits] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
6.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def ensuring(cond: (ReplImplicits) ⇒ Boolean, msg: ⇒ Any): ReplImplicits
   Implicit
     This member is added by an implicit conversion from ReplImplicits to Ensuring[ReplImplicits] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (ReplImplicits) ⇒ Boolean): ReplImplicits
    Implicit
      This member is added by an implicit conversion from ReplImplicits to Ensuring[ReplImplicits] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): ReplImplicits
    Implicit
      This member is added by an implicit conversion from ReplImplicits to Ensuring[ReplImplicits] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): ReplImplicits
    Implicit
      This member is added by an implicit conversion from ReplImplicits to Ensuring[ReplImplicits] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ReplImplicits to StringFormat[ReplImplicits] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  implicit def mkCompilerTypeFromTag(sym: Global.Symbol): AnyRef { ... /* 2 definitions in type refinement */ }
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
24.  implicit lazy val powerSymbolOrdering: Ordering[Global.Symbol]
    Definition Classes
      Implicits2
25.  implicit lazy val powerTypeOrdering: Ordering[Global.Type]
    Definition Classes
      Implicits2
26.  implicit def replEnhancedStrings(s: String): RichReplString
    Definition Classes
      Implicits2
27.  implicit def replEnhancedURLs(url: URL)(implicit codec: Codec): RichReplURL
    Definition Classes
      Implicits2
28.  implicit def replInputStream(in: InputStream)(implicit codec: Codec): RichInputStream
    Definition Classes
      Implicits2
29.  implicit def replInternalInfo[T](x: T)(implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): InternalInfoWrapper[T]
    Definition Classes
      Implicits2
30.  implicit def replMultiPrinting[T](xs: TraversableOnce[T])(implicit arg0: Prettifier[T]): MultiPrettifierClass[T]
    Definition Classes
      Implicits2
31.  implicit def replPrettifier[T]: Prettifier[T]
    Definition Classes
      Implicits2
32.  implicit def replPrinting[T](x: T)(implicit pretty: Prettifier[T] = Prettifier.default[T]): SinglePrettifierClass[T]
    Definition Classes
      Implicits1
33.  implicit def replTypeApplication(sym: Global.Symbol): RichSymbol
    Definition Classes
      Implicits2
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  def →[B](y: B): (ReplImplicits, B)
    Implicit
      This member is added by an implicit conversion from ReplImplicits to ArrowAssoc[ReplImplicits] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Implicits2

### Inherited from Implicits1

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ReplImplicits to any2stringadd[ReplImplicits]

### Inherited by implicit conversion StringFormat from ReplImplicits to StringFormat[ReplImplicits]

### Inherited by implicit conversion Ensuring from ReplImplicits to Ensuring[ReplImplicits]

### Inherited by implicit conversion ArrowAssoc from ReplImplicits to ArrowAssoc[ReplImplicits]

### Ungrouped